#include <stdio.h>

int main(void) {
  int n,a;
  scanf("%d",&n);
  scanf("%d",&a);

  if(n<a*3){
    printf("\n-1");
  }
  else{
    printf("\n%d 0",a);
    if(n%2){
      printf("\n%d 1",a);
      n--;
    }
    else
      printf("\n%d 0",a);
    n-=2*a;
    printf("\n%d %d",n/2+1,n/2-1);
  }
  return 0;
}